
var yaml = require('node-yaml-config');
var config = yaml.load(__dirname + '/../../config/config.yml');
module.exports = function(Config) {


    Config.disableRemoteMethod("create", true);
    Config.disableRemoteMethod("upsert", true);
    Config.disableRemoteMethod("updateAll", true);
    Config.disableRemoteMethod("updateAttributes", false);

    Config.disableRemoteMethod("find", true);
    Config.disableRemoteMethod("findById", true);
    Config.disableRemoteMethod("findOne", true);

    Config.disableRemoteMethod("deleteById", true);

    Config.disableRemoteMethod("confirm", true);
    Config.disableRemoteMethod("count", true);
    Config.disableRemoteMethod("exists", true);
    Config.disableRemoteMethod("resetPassword", true);

    Config.disableRemoteMethod('__count__accessTokens', false);
    Config.disableRemoteMethod('__create__accessTokens', false);
    Config.disableRemoteMethod('__delete__accessTokens', false);
    Config.disableRemoteMethod('__destroyById__accessTokens', false);
    Config.disableRemoteMethod('__findById__accessTokens', false);
    Config.disableRemoteMethod('__get__accessTokens', false);
    Config.disableRemoteMethod('__updateById__accessTokens', false);

    Config.disableRemoteMethod('create', true);                // Removes (POST) /products
    Config.disableRemoteMethod('upsert', true);                // Removes (PUT) /products
    Config.disableRemoteMethod('deleteById', true);            // Removes (DELETE) /products/:id
    Config.disableRemoteMethod("updateAll", true);               // Removes (POST) /products/update
    Config.disableRemoteMethod("updateAttributes", false);       // Removes (PUT) /products/:id
    Config.disableRemoteMethod('createChangeStream', true);    // removes (GET|POST) /products/change-stream

    Config.HttpGet = function (cb) {
        var success = {
            "config":config.server.config,
            "docs":config.server.docs,
            "directory":config.server.directory
        };
        cb(null,success);
    };
    Config.remoteMethod('HttpGet',{
        http:{path:'/config',verb:'get'},
        returns: {arg: 'data', type: 'object', root: true}
    });
};
